summaryrefslogtreecommitdiffstats
path: root/tools/ppc/mkINSTALLCD
diff options
context:
space:
mode:
authorStew Benedict <stewb@mandriva.org>2001-03-15 20:54:31 +0000
committerStew Benedict <stewb@mandriva.org>2001-03-15 20:54:31 +0000
commit864112d23d98039d2c335d4f3f7abac0a5b0d002 (patch)
tree51fa71d1818f79eb8b24891e640c60ff41f29b37 /tools/ppc/mkINSTALLCD
parent9fb1eafd99a675eef35331ae3f4aee1448d7de77 (diff)
downloaddrakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar.gz
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar.bz2
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.tar.xz
drakx-backup-do-not-use-864112d23d98039d2c335d4f3f7abac0a5b0d002.zip
gi/tools/ppc/convert, magic, mapping, mkINSTALLCD, mkhybrid-1.12b5.4, yaboot: create PPC CD
Diffstat (limited to 'tools/ppc/mkINSTALLCD')
-rwxr-xr-xtools/ppc/mkINSTALLCD62
1 files changed, 62 insertions, 0 deletions
diff --git a/tools/ppc/mkINSTALLCD b/tools/ppc/mkINSTALLCD
new file mode 100755
index 000000000..e7e2d9052
--- /dev/null
+++ b/tools/ppc/mkINSTALLCD
@@ -0,0 +1,62 @@
+#
+# quick script to make bootable HFS CD for linux
+#
+#
+#!/bin/sh
+#
+#mkCD1 <CD tree> <output image name>
+#Parameters:
+
+if ! rpm -q hfsutils ; then
+ echo 'You need hfsutils installed!!'
+ exit 1
+fi
+
+if [ -e $2 ] ; then
+ echo 'Output image $2 exists, please delete'
+ echo 'usage: mkCD1 <CD tree> <output image name>'
+ exit 1
+fi
+
+if [ ! -d $1 ] ; then
+ echo 'CD tree $1 is not a directory!'
+ echo 'usage: mkCD1 <CD tree> <output image name>'
+ exit 1
+fi
+
+#Change these when you build the CD..
+ApplicationID="Linux-Mandrake"
+PublisherID="MandrakeSoft"
+PreparerID="sbenedict@mandrakesoft.com"
+SystemID=PPC
+volid=ppc
+hfsVolid=Linux-Mandrake
+curPwd=`pwd`
+
+$curPwd/mkhybrid-1.12b5.4 -part -hfs -r -l -J \
+-A $ApplicationID \
+-P $PublisherID \
+-p $PreparerID \
+-abstract "README" \
+-sysid $SystemID \
+-V $volid \
+-volset "Update" \
+-volset-size 2 \
+-volset-seqno 1 \
+-hfs-volid $hfsVolid \
+-map $curPwd/mapping \
+-magic $curPwd/magic \
+-m "*.orig" \
+-hide '*.MacOS' -hide '*.DOS' \
+-hide-joliet '*.Unix' -hide-joliet '*.MacOS' \
+-hide-hfs '*.Unix' -hide-hfs '*.DOS' \
+-pad \
+-o $2 \
+$1
+
+#Bless boot folder so yaboot can boot
+hmount $2
+hattrib -b boot
+hcd boot
+hattrib -t tbxi yaboot
+humount